import request from '@/utils/http/index';

export const saveUser = (data) => {
  return request.post('/user/save', data);
};

export const getUserPage = (params) => {
  return request.get('/user/page', params);
};

export const deleteUsers = (ids) => {
  return request.get('/user/batchDeleteByIds', { ids });
};
export const saveLeaderGroup = (data) => {
  return request.post(`/leaderGroup/add?username=${data.username}&password=${data.password}&phone=${data.phone}&status=${data.status}&role=${data.role}`);
};

export const getleaderGroupPage = (params) => {
  return request.get('/leaderGroup/page', params);
};

export const batchDeleteByIds = (ids) => {
  return request.get('/leaderGroup/batchDeleteByIds', { ids });
};